Subject: RE: [mobile-ip] FW: I-D ACTION:draft-malinen-mobileip-regreg6-01. txt

From: "Hesham Soliman (ERA)" <[email-masked]>
Date: Tue, 27 Mar 2001 14:26:53 +0200

> > > I believe we are not overriding routing protocols any more than you
> > > are, once we compare with your extended mode.
> > >
> >         => ??? I don't get that. Multi-level hierarchy forces packets
> >         into a fixed route between levels. I don't know what you mean ??
> >         Extended mode != multi-level hierarchy.
> 
> It seems to resemble a multi-level hierarchy, at least for packets
> going to previous MAP address or when using nested mobile routers.
> 
	=> No it's certainly not a multi-level hierarchy, the smooth 
	handoff (forwarding from the previous MAP) is a temporary 
	situation during a handoff. 

	As for the MR case, I agree that it would look like a multi-level
	hierarchy, but in this case routing within the network 
	is not overridden since every packet reaching the MN will 
	go through the AR anyway. (*)

> In extended mode MN is dislocated as compared to both the fixed and
> mobile MAP. 
> The mobile node needs to let the lower MAP to know how
> to route packets to MN. Consider packets coming from CN to old RCoA
> (CoA registered with CN before MN can register new CoA after lower
> MAP moved). The packets get re-routed from HA of the mobile MAP to
> 
	=> No they get routed from the HA of the MN which maybe 
	the same as the MR.

> wherever the mobile MAP moved, taking them to the higher MAP since
> this should hold the RCoA for the lower MAP. It will consume the
> routing header of a route-optimized packet. Now the packet's destination
> address will be home address of the MN in the mobile network.
> Could you clarify routing to this address, re-capsulation through
> lower MAP or perhaps by host-based routing?
> 
	=> Encapsulate to the lower MAP. Again note that the packets 
	have to go through the MR anyway. 

> A second case to consider is when MN can recursively be a mobile
> router. There is a need for a host-routing protocol or recapsulating
> tunneling to navigate packets through nested mobile networks.
> 
	=> This is really out there, why does the MN need to be another
	MR, except for the case of making this proposal look like a 
	tree of routers ??? 
	The scenario you've mentioned is not in the draft and I don't 
	understand the relevance to this discssion.

> Using MAP as the connection point of mobile networks looks essential
> to the method of getting packets to these nested networks thus fixing 
> packets to pass MAPs.
> 
	=> See (*).

> > > > > Better optimization of last hop bandwidth usage, network-controlled
> > > > > load balancing (your scheme has hop count and priority in a MAP
> > > > > option, these trust MN does something it may not be designed to
> > > > > do and require more than one MAP options to make a choice even
> > > > > possible).
> > > > >
> > > >         => Are you referring to the MAP option ?
> > > >         I hope this is not the BW argument. This argument is
> > > >         not valid IMO. RAs are designed to have several
> > > >         options regardless of the use of MIP. I hope we can agree on that.
> > >
> > > We can still try to reduce the size of the RA, i.e. number of extensions
> > > needed for a load-balancing network.
> > >
> >         => Jari, have you read the draft ? What load balancing
> >         extensions are you referring to ? The load balancig described
> >         in the draft is something else. Have a look at rev 2 or 3.
> 
> 
> Considering RA size in IPv6 and cost of last mile bandwidth it is
> in our requirements advisable trying to avoid extending it further.
> If we can do with one extension and still distribute signaling load,
> it extends scalability the bigger the visited domain.
> 
	=> Jari, we're going around in circles here. I've already
	answered this _several_ times. The rtr adv does NOT
	need to be frequently advertised. Only when something 
	changes, timers time out ....etc. See the Fast 
	Handoffs draft to see how Fast Handoffs can still work
	in this scenario. 
	We're talking about 2 options at the most.

	I hope this is clear now. 

	Regards,
	Hesham

---

From: "Jari T. Malinen" <[email-masked]>
Date: Tue, 27 Mar 2001 22:53:21 -0800

Hesham,

>         go through the AR anyway. (*)

..unless you have two nested mobile network which speak the same routing
protocol and came from the same AO. When lower such network attaches
to the upper using mobile MAP, other gateways can also be formed by
dynamic routing. Then, tunneling through MAPs looks like being able to
override routing. Also, this scenario of dynamic routing may even
be possible with the 2-level case (the upper mobile network being the
fixed network and natural routing being able to go around the one MAP
in non-transient or two MAP hierarchy in the transient MAP-based
forwarding case).

>         => No they get routed from the HA of the MN which maybe

I was on the impression that due to basic Mobile IPv6 behavior, only
when the old RCoA binding cache entry is not in use at CN will the
packet from CN to MN go via HA of MN. If HA is the same for MN
and MR, MN is not really MN wrt. MR (lower MAP).

>         MR, except for the case of making this proposal look like a

This looked to me the most generic case of mobile networks with
extended mode - providing mobile MAP service for MNs which
may also be routers. I did not find a restriction that mobile MAP does
not accept mobile routers below it.

>         understand the relevance to this discssion.

Maybe relevance is the attempt to understand extended mode to be able
to verify/reject the original argument that only MIPv6RR overrides
routing unlike HMIPv6.

Stepping back, not using natural routing reduces robustness, an important
requirement, which we seem to agree, and maybe sometimes, that neither
design is neither perfect nor very different on that..

>         I hope this is clear now.

There is, though, a requirement of scaling to serve many mobile nodes.
Whether we have frequent RAs may also depend on typical rate of new MNs
(to the visited domain) arriving at a cell +MNs not using fast handoffs.
Each of these may potentially solicit an advertisement. This has less
to do with unsolicited RA frequency.

Fast handoffs can possibly be used to help, provided L2 supports
triggers and anticipation, and conspiring routers (old router)
provide(s) / choose(s) the one new RCoA via the old link. Even though
the discussion has been a bit repetitive, it may have highlighted some
assumptions on both requirements and designs in hierarchical schemes.

>         Hesham

Best Regards,

-Jari